---
# tasks file for fluxcd
- name: Download fluxctl
  become: yes
  become_user: root
  get_url:
    url: https://github.com/fluxcd/flux/releases/download/1.20.2/fluxctl_linux_amd64
    dest: /usr/local/bin/fluxctl
    mode: 0777

- name: Upload namespace.yml file
  copy:
    src: namespace.yml
    dest: /tmp/flux-namespace.yml
    owner: kube
    group: kube
    mode: 0777

- name: Create flux-system namespace
  command: kubectl apply -f /tmp/flux-namespace.yml

- name: Upload fluxcd.yml file
  copy:
    src: fluxcd.yml
    dest: /tmp/fluxcd.yml
    owner: kube
    group: kube
    mode: 0777

- name: Install fluxcd
  command: kubectl apply -f /tmp/fluxcd.yml

- name: Install helm-operator CRDs
  command: kubectl apply -f https://raw.githubusercontent.com/fluxcd/helm-operator/1.2.0/deploy/crds.yaml

- name: Add fluxcd repo
  command: helm repo add fluxcd https://charts.fluxcd.io

- name: Install helm-operator
  command: helm upgrade --namespace flux -i helm-operator fluxcd/helm-operator --set helm.versions=v3
